[Risolto] Errore compilazione PKGBUILD xorg-server 1.12 patch

Segnalazioni di pacchetti utili, richieste di creazione pacchetti e supporto tecnico
Rispondi
Avatar utente
angelsoul
Arciere
Messaggi: 179
Iscritto il: 18 marzo 2011, 11:00

[Risolto] Errore compilazione PKGBUILD xorg-server 1.12 patch

Messaggio da angelsoul » 24 aprile 2013, 21:46

Salve,
Per scelta personale uso Catalyst come driver per la mia scheda video. Purtroppo per la mia scheda video non hanno fatto i driver compatibili con gli xorg più recenti, ma solo con xorg 1.12
Con l'avvento di gnome 3.8 ho avuto numerosi crash di alcuni programmi di gnome. Dopo varie ricerche ho trovato questo thread nel forum ufficiale di Archlinux dove si attribuisce il problema dei crash a dei bug in Xorg 1.12 che però sono stati corretti nelle nuove versioni. Il problema è che vorrei mantenere i driver Catalyst (nettamente più efficienti di quelli radeon) e la soluzione è patchare il pacchetto xorg-server1.12.
Un utente del forum ufficiale ha fatto tutto il lavoro sporco e ha creato un PKGBUILD comprensivo della patch.
Il problema è che la versione del mio xorg-server è quella scaricata dal repository [Xorg1.12] di ViOLO, e non da AUR.
Provando a compilare quel pacchetto con makepkg, mi viene restituito un errore:

Codice: Seleziona tutto

make[2]: Leaving directory `/home/angelsoul/builds/Xorg 1.12 patch/src/xorg-server-1.12.4'
make[1]: Leaving directory `/home/angelsoul/builds/Xorg 1.12 patch/src/xorg-server-1.12.4'
make: *** [install-recursive] Errore 1
==> ERRORE: Si è verificato un errore in package_xorg-server1.12().
    L'operazione sta per essere interrotta...
Nonostante questo errore il pacchetto del Xorg patchato viene creato, ma credo che sia un pacchetto corrotto.
Come dovrei fare per evitare quell'errore?
Ultima modifica di angelsoul il 24 aprile 2013, 22:19, modificato 1 volta in totale.
I love grep!

Avatar utente
angelsoul
Arciere
Messaggi: 179
Iscritto il: 18 marzo 2011, 11:00

Re: Errore compilazione PKGBUILD xorg-server 1.12 patch

Messaggio da angelsoul » 24 aprile 2013, 22:19

SOLUZIONE
bastava far risolvere le dipendenze a pacman con
makepkg -s
I love grep!

Rispondi